/**
 * 留言添加
 */
function messageAdd() {
	try {
		var content = $("#content");
		var name = $("#name");
		var code = $("#code");
		var isPrivate = $("input[name=isPrivate][checked]");
		var phone = $("#phone");
		var validateCoeUrl = '/member!!validateCode.xhtml';
		var messageMethod = $("#messageMethod");
		if(MyJs.isNullByJQuery(content)) {
			alert('留言内容不能为空');
			content.focus();
			return false;
		}
		if(MyJs.isNullByJQuery(name)) {
			alert('留言呢称不能为空');
			name.focus();
			return false;
		}
		if(MyJs.isNullByJQuery(code)) {
			alert('验证码不能为空');
			code.focus();
			return false;
		}
		
		if(!MyJs.validateValue(validateCoeUrl, 'code', 'code')) {
			alert('验证码输入不正确');
			code.val("").focus();
			return false;
		}
		$.ajax({
			type:'POST',
			dataType:'text',
			url:'/index!'+messageMethod.val()+'.xhtml',
			data:'content='+MyJs.encodeByJQuery(content)+'&addFlag=1&name='+MyJs.encodeByJQuery(name)+'&phone='+MyJs.encodeByJQuery(phone)+'&code='+MyJs.encodeByJQuery(code)+'&isPrivate='+MyJs.encodeByJQuery(isPrivate)+'&t='+MyJs.randomNumber,
			success:function(data){
				if(data == MyJs.SUCCESS) {
					alert('留言成功，请等待管理员审核!');
					window.location.reload();
				} else {
					alert(data);
					MyJs.flushValidateCode('vcode');
					return false;
				}
			}
		});
		return false;
	}catch(e) {
		return false;
	}
}

/**
 * 求职者添加
 */
function recruitAdd() {
	try {
		var positionId = $("#positionId");
		var name = $("#name");
		var phone = $("#phone");
		
		if(MyJs.isNullByJQuery(positionId)) {
			alert('请选择应聘职位');
			positionId.focus();
			return false;
		}
		if(MyJs.isNullByJQuery(name)) {
			alert('姓名不能为空');
			name.focus();
			return false;
		}
		if(MyJs.isNullByJQuery(phone)) {
			alert('联系电话不能为空');
			phone.focus();
			return false;
		}
		
		if(confirm('是否确认提交?')){
			return true;
		}
		return false;
	}catch(e) {
		return false;
	}
}